osmium::object_order_type_id_reverse_version Struct Reference

`#include <object_comparisons.hpp>`

## Public Member Functions

bool | operator() (const osmium::OSMObject &lhs, const osmium::OSMObject &rhs) const noexcept
bool | operator() (const osmium::OSMObject *lhs, const osmium::OSMObject *rhs) const noexcept

## Detailed Description

Function object class for ordering OSM objects by type, id, and reverse version, ie objects are ordered by type and id, but later versions of an object are ordered before earlier versions of the same object.

## Member Function Documentation

bool osmium::object_order_type_id_reverse_version::operator() | ( | const osmium::OSMObject & | lhs,
|  | const osmium::OSMObject & | rhs
| ) |  | const

inline noexcept

bool osmium::object_order_type_id_reverse_version::operator() | ( | const osmium::OSMObject * | lhs,
|  | const osmium::OSMObject * | rhs
| ) |  | const

inline noexcept

The documentation for this struct was generated from the following file:

- osmium/osm/object_comparisons.hpp